---
# tasks/02-setup-environment.yml

- name: "02.1 - make sure all required packages are installed"
  package:
    name: "{{ __mounts_packages|select()|list|flatten }}"
    state: present
  become: True

- name: "02.2.(nfs) - make sure rpcbind service is enabled and started"
  service:
    name: rpcbind
    state: started
    enabled: True
  become: True
  when:
    - (mounts_list
         |selectattr('state', 'defined')
         |selectattr('state', 'equalto', 'mounted')
         |selectattr('fstype', 'defined')
         |map(attribute='fstype')
         |map('lower')
         |list +
       mounts_list
         |selectattr('state', 'defined')
         |selectattr('state', 'equalto', 'present')
         |selectattr('fstype', 'defined')
         |map(attribute='fstype')
         |map('lower')
         |list)|join(' ') is search('nfs')
